import glob,os,sys

firstCommentStart = "/*\n"

firstCommentEnd = " */\n"

borderWindowBox = " * ******** fete: From ENDF To ENDL *********\n"

beginLog = " * $Log$\n"

boilerPlate = """ * 
 * Copyright (c) 2006, The Regents of the University of California. 
 * All rights reserved.
 * 
 * Produced at the Lawrence Livermore National Laboratory. 
 * Written by David A. Brown, Gerry Hedstrom, Tony Hill
 * 
 * This file is part of fete v1.0  (UCRL-CODE-218718)
 * 
 * Please read the COPYING file for "Our Notice and GNU General 
 * Public License" in the root of this software distribution.  
 * 
 * This program is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License (as published by 
 * the Free Software Foundation) version 2, dated June 1991. 
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the IMPLIED WARRANTY OF 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the terms 
 * and conditions of the GNU General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License along 
 * with this program; if not, write to the Free Software Foundation, Inc., 
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
 * 
"""

def find(strList,pattern):
    try: 
        return strList.index(pattern)
    except ValueError:
        return -1

for src in glob.glob("*.?pp"):
    print src
    newFile=[]
    oldFile = open(src,mode='r').readlines()
    iStartWindowBox = find(oldFile,borderWindowBox)
    iStartLog       = iStartWindowBox+1+find(oldFile[iStartWindowBox+1:],beginLog)
    iEndWindowBox   = iStartWindowBox+1+find(oldFile[iStartWindowBox+1:],borderWindowBox)
    newFile = oldFile[:iStartWindowBox+1] \
                + [boilerPlate] \
                + oldFile[iStartWindowBox+1:iStartLog] \
                + [" * \n"]\
                + oldFile[iEndWindowBox:]
    print "I cut this:\n","".join(oldFile[iStartLog:iEndWindowBox])
    open(src,mode='w').writelines(newFile)
